#-------------------------------------------------
#
# Project created by QtCreator 2015-01-07T02:41:29
#
#-------------------------------------------------

QT       += core gui network xml svg
CONFIG   += pythonqt

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets printsupport

MOC_DIR = moc
UI_DIR = ui
OBJECTS_DIR = obj

DESTDIR =./bin

TARGET = QLop
TEMPLATE = app

LIBS+=-lfftw3_threads -lfftw3

INCLUDEPATH += src/QCustomPlot \
                src src/Cassini \
                src/Core src/Core/Widgets \
                src/Core/Widgets/PyWdgt

QMAKE_CXXFLAGS += -O5 -fopenmp
QMAKE_LFLAGS += -O5 -fopenmp
#QMAKE_CXXFLAGS += -O0 -fopenmp
#QMAKE_LFLAGS += -O0 -fopenmp

SOURCES += src/main.cpp\
        src/mainwindow.cpp \
    src/SocExplorerPlot.cpp \
    src/QCustomPlot/qcustomplot.cpp \
    src/toolbarcontainer.cpp \
    src/Core/abstractfileloader.cpp \
    src/Core/filedownloader.cpp \
    src/Core/filedownloadertask.cpp \
    src/Core/Widgets/downloadhistory.cpp \
    src/Core/Widgets/downloadhistoryelement.cpp \
    src/Core/qlopservice.cpp \
    src/Cassini/expxmldownloader.cpp \
    src/Cassini/cassinidatadownloader.cpp \
    src/Cassini/cassinidatafile.cpp \
    src/Cassini/cassiniindexfile.cpp \
    src/Cassini/cassiniindexfileviewer.cpp \
    src/Cassini/cassinitools.cpp \
    src/Cassini/cassinitoolsgui.cpp \
    src/Core/Widgets/qlopplots.cpp \
    src/Core/qlopdata.cpp \
    src/Core/Widgets/PyWdgt/pythonconsole.cpp \
    src/Core/Widgets/PyWdgt/pythonqtscriptingconsoledandd.cpp \
    src/QCustomPlot/qcpdocumentobject.cpp \
    src/Core/Widgets/filebrowser.cpp \
    src/Core/Widgets/filesystemmodel.cpp \
    src/Core/Widgets/qcustomplotvect.cpp \
    src/Core/qlopdatabase.cpp \
    src/Core/Widgets/qlopdatabaseviewer.cpp \
    src/Core/Widgets/qlopdatabaseviewermodel.cpp \
    src/Cassini/exptimetabledownloader.cpp

HEADERS  += src/mainwindow.h \
    src/SocExplorerPlot.h \
    src/QCustomPlot/qcustomplot.h \
    src/toolbarcontainer.h \
    src/Core/abstractfileloader.h \
    src/Core/filedownloader.h \
    src/Core/filedownloadertask.h \
    src/Core/Widgets/downloadhistory.h \
    src/Core/Widgets/downloadhistoryelement.h \
    src/Core/qlopservice.h \
    src/Cassini/expxmldownloader.h \
    src/Cassini/cassinidatadownloader.h \
    src/Cassini/cassinidatafile.h \
    src/Cassini/cassiniindexfile.h \
    src/Cassini/cassiniindexfileviewer.h \
    src/Cassini/cassinitools.h \
    src/Cassini/cassinitoolsgui.h \
    src/Core/Widgets/qlopplots.h \
    src/Core/qlopdata.h \
    src/Core/Widgets/PyWdgt/pythonconsole.h \
    src/Core/Widgets/PyWdgt/pythonqtscriptingconsoledandd.h \
    src/Core/qlop.h \
    src/Core/pyqlop.h \
    src/QCustomPlot/qcpdocumentobject.h \
    src/Core/Widgets/filebrowser.h \
    src/Core/Widgets/filesystemmodel.h \
    src/Core/Widgets/qcustomplotvect.h \
    src/Core/qlopdatabase.h \
    src/Core/Widgets/qlopdatabaseviewer.h \
    src/Core/Widgets/qlopdatabaseviewermodel.h \
    src/Cassini/exptimetabledownloader.h

FORMS    += src/mainwindow.ui \
    src/Core/Widgets/downloadhistory.ui \
    src/Core/Widgets/downloadhistoryelement.ui \
    src/Cassini/cassinidatadownloader.ui \
    src/Cassini/cassiniindexfileviewer.ui \
    src/Cassini/cassinitoolsgui.ui \
    src/Core/Widgets/filebrowser.ui \
    src/Core/Widgets/qlopdatabaseviewer.ui

RESOURCES += \
    resources/qlop.qrc

include(src/Core/Widgets/NicePyConsole/NicePyConsole.pri)
include(src/Core/pythonQtOut/generated_cpp/PyQLop/PyQLop.pri)

win32 {
    DEFINES += WIN32
}

unix {
    DEFINES += UNIX
}

unix{
    target.path    = /usr/bin
    INSTALLS += target
}


unix{
    QLopLauncher.path = /usr/share/applications/
    QLopLauncher.files = linux/QLop.desktop
    QLopAppData.path = /usr/share/appdata/
    QLopAppData.files = linux/QLop.appdata.xml
    share.path = /usr/share/QLop
    share.files = resources/QLop.svg \
                resources/QLop.png

    INSTALLS+= QLopLauncher share QLopAppData
}

DISTFILES += \
    src/Core/pythongenerator.sh \
    src/Core/pythonQtgeneratorCfg.txt \
    linux/QLop.spec \
    linux/QLop.desktop \
    linux/QLop.appdata.xml

